## manager manager |

## Functions

GSList * | a11y_profile_manager_list_profiles ()
A11yProfileManagerProfile * | a11y_profile_manager_get_profile_by_dir_name ()
A11yProfileManagerProfile * | a11y_profile_manager_get_profile_by_name ()
void | a11y_profile_manager_set_active_profile ()

## Description

## Functions

### a11y_profile_manager_list_profiles ()

    GSList *
    a11y_profile_manager_list_profiles (void);

Lists the available accessibility profiles. Only valid profiles are added to the list.

#### Parameters

self | the (null) instance |

#### Returns

a GSList of A11yProfileManagerProfile objects.

Since: 0.1

### a11y_profile_manager_get_profile_by_dir_name ()

    A11yProfileManagerProfile *
    a11y_profile_manager_get_profile_by_dir_name
                                   (const gchar *dir_name);

The directory name relative to the profiles directory

#### Parameters

self | the (null) instance |
dir_name | . | [in]

#### Returns

A validated profile object, or `NULL` if no profile found.

Since: 0.1

### a11y_profile_manager_get_profile_by_name ()

    A11yProfileManagerProfile *
    a11y_profile_manager_get_profile_by_name
                                   (const gchar *name);

The name of the profile as specified in its manifest file

#### Parameters

self | the (null) instance |
name | . | [in]

#### Returns

A validated profile object, or `NULL` if no profile found.

Since: 0.1

### a11y_profile_manager_set_active_profile ()

    void
    a11y_profile_manager_set_active_profile
                                   (A11yProfileManagerProfile *profile_obj,
                                    GError **error);

Sets the active accessibility profile.

#### Parameters

self | the (null) instance |
profile_obj | . A validated Profile object. . | [in]
error | location to store the error occuring, or `NULL` to ignore |

Since: 0.1

## Types and Values